### File

`packages/core/src/lib/services/store/store.service.ts`

### Index

###### Methods
addAutoSaveHandler handleAutoSave init select select updateState updateState updateState

### Constructor

`constructor()`

### Methods

addAutoSaveHandler
it will be removed in the next major version
`addAutoSaveHandler(stateSlice: string, handler: Handler<T>)`
Add an autoSave handler for a specific state slice Parameters :
Name | Type | Optional
stateSlice | `string` | No
handler | `Handler<T>` | No
Returns : `void`

handleAutoSave
`handleAutoSave()`
Returns : `void`

init
`init(version?: string, storageType?: BrowserStorageType)`
Parameters :
Name | Type | Optional
version | `string` | Yes
storageType | `BrowserStorageType` | Yes
Returns : `void`

select
`select(key?: any)`
Parameters :
Name | Type | Optional
key | `any` | Yes
Returns : `Observable<unknown>`

select
`select(keyOrMapFn?: unknown | string)`
Type parameters : K
Parameters :
Name | Type | Optional
keyOrMapFn | `unknown | string` | Yes
Returns : `Observable<Partial | K>`

updateState
`updateState(state: DeepPartial)`
This method is used to update the state of the service with a new state. Parameters :
Name | Type | Optional
state | `DeepPartial<T>` | No
Returns : `void`

updateState
it will be removed in next version. Use updateState(partialState: DeepPartial) instead
`updateState(slice: DeepPartial, reducer: (state: T,action: DeepPartial) => void)`
Parameters :
Name | Type | Optional
slice | `DeepPartial<T>` | No
reducer | `function` | No
Returns : `void`

updateState
`updateState(state: DeepPartial, reducer?: (state?: T,action?: DeepPartial) => void)`
Type parameters : K
Parameters :
Name | Type | Optional
state | `DeepPartial<K>` | No
reducer | `function` | Yes
Returns : `void`

# results matching ""

# No results matching ""